Skip to main content
`Ctrl`+`K`

# EPSMonitorSetFromOptions

Sets a monitor function and viewer appropriate for the type indicated by the user.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSMonitorSetFromOptions(EPS eps,const char opt[],const char name[],void *ctx,PetscBool trackall)

Collective

## Input Parameters

- eps - the linear eigensolver context

- opt - the command line option for this monitor

- name - the monitor type one is seeking

- ctx - an optional user context for the monitor, or `NULL`

- trackall - whether this monitor tracks all eigenvalues or not

## See Also

EPS: Eigenvalue Problem Solver, `EPSMonitorSet()`, `EPSSetTrackAll()`

## Level

developer

## Location

src/eps/interface/epsopts.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages